forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Crossley <cross...@apache.org>
Subject upgrading Cocoon and supporting libs (Was: FOR-591)
Date Mon, 08 May 2006 00:49:55 GMT
Definitely please do upgrade our Cocoon. Our process in
$FORREST_HOME/etc/cocoon_upgrade/ is way out-of-date
but the principles will be similar.

Even without some fix for FOR-591, we probably still
need to upgrade. It has been a long time.

See $FORREST_HOME/lib/core for the Cocoon blocks that
we need.

We also need to upgrade some supporting external libraries.

If there are useful changes to Ant trunk, then we could
also upgrade Ant.

I will try to help. I have been able to do the
Maven build of Cocoon trunk, but i am not really
confident.

Ross Gardler commented on FOR-591:
>
> I am unaware of any reason not to try an upgrade Cocoon. However, I have no idea how
to build Cocoon anymore (since the move to Maven). If you know how - that would be really
cool.

See http://cocoon.zones.apache.org/daisy/documentation/g1/798.html

-David

> > Antonio Gallardo commented on FOR-591:
> > --------------------------------------
> > Are we able to update cocoon if I wrote a simple fix for that?
> >
> > > MaxMemory needs increasing
> > > --------------------------
> > >
> > >          Key: FOR-591
> > >          URL: http://issues.apache.org/jira/browse/FOR-591
> > >      Project: Forrest
> > >         Type: Bug

Mime
View raw message